Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160717 - Missing/Incorrect BuildRequires
Summary: Missing/Incorrect BuildRequires
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ecj
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 20:26 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-04 01:03:10 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-16 20:26:57 UTC
During a test rebuild of ecj-2.1.3-5 in the mock builder, the following
problem manifests itself:

+ find -name '*.class' -or -name '*.properties' -or -name '*.rsc'
+ xargs jar cf ../../../ecj-2.1.3.jar
xargs: jar: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.45084 (%build)

The reason is, that the Required libgcj installs fastjar, but doesn't set up the
correct symlink with the alternatives system.
This is done by the java-$ver-compat package, which is not being installed.

According to nasrat the best way of dealing with this issue is dropping the
BuildRequires for gcc-java and libgcj and just setting a BuildRequire for
java-$ver-compat, or even better the virtual java-devel package which is
provided by the java-compat package. This will fix the alternatives problem and
pull in gcj and libgcj as well.

This bug is at least present in RHEL4, FC4, FC3 and current RawHide. Bugs were
filed for these releases as well.

Comment 1 Andreas Thienemann 2005-06-16 20:28:17 UTC
sorry. fc4 is not affected. again copy-n-waste... :(

Comment 2 Thomas Fitzsimmons 2005-06-17 14:56:09 UTC
Why not just change the xargs line to use fastjar?


Comment 3 Andreas Thienemann 2005-06-17 15:29:19 UTC
That might be a possibility, but would mean that the alternatives system is
bypassed.

Comment 4 Thomas Fitzsimmons 2006-02-04 01:03:10 UTC
The standalone ecj package is obsolete and eclipse-ecj bootstraps fine.  Closing.



Note You need to log in before you can comment on or make changes to this bug.